
Redmine - Defect #9782

Redirect Internal Server Error with async_smtp

2011-12-12 16:15 - Emmanuel BOUGEROLLE

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hi,

I've an Internal Server Error (Error 500) when async_smtp is enable after update redirect.

The notification is correctly send.

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.5

Rack version              1.1.1

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Edge Rails revision       unknown

Application root          /var/www/redmine

Environment               development

Database adapter          mysql 5.1.41

Database schema version   20110925054102

About your Redmine plugins

Redmine Canned Responses plugin   0.0.1

History

#1 - 2011-12-12 16:26 - Emmanuel BOUGEROLLE

Apache Error Log :

Mon Dec 12 15:13:10 2011] [error] [client 10.103.251.138] Premature end of script headers: issues, referer: ht

tp://redmine.cg89.fr/issues/10

[Mon Dec 12 15:27:58 2011] [error] [client 10.103.3.11] Premature end of script headers: issues, referer: http

://redmine.cg89.fr/issues/2

[Mon Dec 12 15:29:03 2011] [error] [client 10.103.3.11] Premature end of script headers: issues, referer: http

://redmine.cg89.fr/issues/12

[Mon Dec 12 16:09:04 2011] [error] [client 10.103.3.11] Premature end of script headers: issues, referer: http

://redmine.cg89.fr/issues/7

[Mon Dec 12 16:10:44 2011] [error] [client 10.103.3.11] Premature end of script headers: issues, referer: http

://redmine.cg89.fr/issues/7

[Mon Dec 12 16:21:58 2011] [error] [client 10.103.3.11] Premature end of script headers: issues, referer: http

://redmine.cg89.fr/issues/7

[Mon Dec 12 16:22:36 2011] [error] [client 10.103.3.11] Premature end of script headers: issues, referer: http

://redmine.cg89.fr/issues/7

[Mon Dec 12 16:23:57 2011] [error] [client 10.103.3.11] Premature end of script headers: issues, referer: http

://redmine.cg89.fr/issues/15

 Emmanuel BOUGEROLLE wrote:

Hi,

I've an Internal Server Error (Error 500) when async_smtp is enable after update redirect.

The notification is correctly send.
Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.5

Rack version              1.1.1

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Edge Rails revision       unknown

Application root          /var/www/redmine

Environment               development

Database adapter          mysql 5.1.41

Database schema version   20110925054102

About your Redmine plugins

Redmine Canned Responses plugin   0.0.1

#2 - 2011-12-13 09:20 - Emmanuel BOUGEROLLE

Redmine is provided by Apache 2.2.14 and mod_passenger

Apache mod_passenger configuration

PassengerRoot /var/lib/gems/1.8/gems/passenger-3.0.11

PassengerRuby /usr/bin/ruby1.8

 Apache Virtual Host

<VirtualHost *:80>

  ServerName redmine

  ServerAlias redmine.cg89.fr

  RailsEnv development

  RailsBaseURI /redmine

  DocumentRoot /var/www/redmine/public

  <Directory /var/www/redmine/public>

    Options FollowSymLinks

    AllowOverride None

    Order deny,allow

    Allow from all

  </Directory>

  ErrorLog /var/www/redmine/log/apache-error.log

  CustomLog /var/www/redmine/log/apache-access.log combined

</VirtualHost>

#3 - 2011-12-13 16:31 - Emmanuel BOUGEROLLE

- Status changed from New to Resolved

I've upgrade to Redmine 1.3.0 (New installation not in production).

The issue is not reproductible with Redmine 1.3.0

#4 - 2011-12-13 16:49 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid

#5 - 2011-12-16 09:41 - Emmanuel BOUGEROLLE

- Status changed from Closed to Reopened

I was wrong i've the issue with Redmine 1.3.0

About your application's environment

Ruby version              1.8.7 (x86_64-linux)
RubyGems version          1.3.7

Rack version              1.1.2

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Edge Rails revision       unknown

Application root          /var/www/redmine

Environment               development

Database adapter          mysql

Database schema version   20110902000000

 Apache Error Logs

[Fri Dec 16 09:31:10 2011] [error] [client 10.103.3.11] Premature end of script headers: issues, referer: http

s://redmine.cg89.fr/issues/12

[Fri Dec 16 09:31:45 2011] [error] [client 10.103.3.11] Premature end of script headers: issues, referer: http

s://redmine.cg89.fr/issues/13

#6 - 2013-09-01 23:54 - Jan Niggemann (redmine.org team member)

- Status changed from Reopened to Closed

1.3.0 is out of support, please open a new issue if this is still relevant.
